
cc.Class({
    extends: cc.Component,

    properties: {
        backBtn: cc.Button,
        web: cc.WebView,
    },


    onLoad() {

        this.changeOrientation(false);
        this.fitFullScreen();
        var tempURL = 'https://www.baidu.com';
        
        this.serviceURL = tempURL;
    },

    fitFullScreen() {
        if (cc.sys.isNative && cc.sys.platform != cc.sys.IPAD) {
            var long = 1820;
            var size = cc.view.getFrameSize();
            console.log('size', size.width, size.height);
            if (Math.floor((size.width / size.height)*100) == Math.floor((9 / 16)*100)) {
                console.log('sizeFit','16:9');
                long = 1820;
            }
            else{               
                long = size.height-100;
                console.log('sizeFit','非16:9',long);
            }
            if(long > 2060){
                long = 2060;
                console.log('sizeFit','大于2160',long);
            }
            if(long < 1820){
                long = 1820;
                console.log('sizeFit','小于2160',long);
            }
            
            this.web.node.height = long;
        }
    },


    start() {
        this.web.url = this.serviceURL;
        this.backBtn.node.on('click', () => {
            this.node.destroy();
            this.changeOrientation(true);
        }, this);
    },

     //屏幕旋转，true为横屏，false为竖屏
     changeOrientation(val){
        console.log('旋转屏幕');
        jsb.reflection.callStaticMethod('AppController', 'changeOrientation:',val);
        if(val){
            let width = cc.view.getFrameSize().height < cc.view.getFrameSize().width ?cc.view.getFrameSize().width : cc.view.getFrameSize().height;
            let height = cc.view.getFrameSize().height > cc.view.getFrameSize().width ?cc.view.getFrameSize().width : cc.view.getFrameSize().height;
            cc.view.setFrameSize(width, height);
            cc.view.setDesignResolutionSize(1920,1080,cc.ResolutionPolicy.FIXED_HEIGHT);

        }else{
            let width = cc.view.getFrameSize().height > cc.view.getFrameSize().width ?cc.view.getFrameSize().width : cc.view.getFrameSize().height;
            let height = cc.view.getFrameSize().height < cc.view.getFrameSize().width ?cc.view.getFrameSize().width : cc.view.getFrameSize().height;
            cc.view.setFrameSize(width, height);
            cc.view.setDesignResolutionSize(1080,1920,cc.ResolutionPolicy.FIXED_WIDTH);
        }
    
    }

});
