cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label,            
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        webPrefab:cc.Prefab,
        webBtn:cc.Button,
        editBox:cc.EditBox,
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
        this.webBtn.node.on('click',()=>{
            this.openWeb();
        },this);
    },

    openWeb(){
        var tempNode = cc.instantiate(this.webPrefab);
        tempNode.parent = this.node;       
    }

  
});
